{
  "schema_version": "1.4.0",
  "id": "GHSA-5f36-8p58-fx88",
  "modified": "2022-05-02T03:39:50Z",
  "published": "2022-05-02T03:39:50Z",
  "aliases": [
    "CVE-2009-2909"
  ],
  "details": "Integer signedness error in the ax25_setsockopt function in net/ax25/af_ax25.c in the ax25 subsystem in the Linux kernel before 2.6.31.2 allows local users to cause a denial of service (OOPS) via a crafted optlen value in an SO_BINDTODEVICE operation.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-2909"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/security/cve/CVE-2009-2909"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=528887"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2009-October/msg00483.html"
    },
    {
      "type": "WEB",
      "url": "http://article.gmane.org/gmane.linux.kernel/896907"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/?p=linux/kernel/git/davem/net-2.6.git%3Ba=commit%3Bh=b7058842c940ad2c08dd829b21e5c92ebe3b8758"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/?p=linux/kernel/git/davem/net-2.6.git;a=commit;h=b7058842c940ad2c08dd829b21e5c92ebe3b8758"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2009-11/msg00005.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2009-11/msg00007.html"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=oss-security&m=125494119617994&w=2"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/37075"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/37351"
    },
    {
      "type": "WEB",
      "url": "http://www.kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.31.2"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/36635"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-864-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-10-20T17:30:00Z"
  }
}